package com.ruoyi.system.domain.project;

import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 项目引荐对象 bm_project_referral
 * 
 * @author ruoyi
 * @date 2021-03-04
 */
public class BmProjectReferral extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 项目投资方id* */
    private Long id;

    /** 项目id* */
    @Excel(name = "项目id*")
    private Long bmProjectId;

    /** 联系方式* */
    @Excel(name = "联系方式*")
    private String phone;

    /** 投资分配额* */
    @Excel(name = "投资分配额*")
    private BigDecimal investmentAllcocation;

    /** 引荐方联系人* */
    @Excel(name = "引荐方联系人*")
    private String referral;

    /** 引荐方联系方式* */
    @Excel(name = "引荐方联系方式*")
    private String referralPhone;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setBmProjectId(Long bmProjectId) 
    {
        this.bmProjectId = bmProjectId;
    }

    public Long getBmProjectId() 
    {
        return bmProjectId;
    }

    public void setPhone(String phone) 
    {
        this.phone = phone;
    }

    public String getPhone() 
    {
        return phone;
    }

    public void setInvestmentAllcocation(BigDecimal investmentAllcocation) 
    {
        this.investmentAllcocation = investmentAllcocation;
    }

    public BigDecimal getInvestmentAllcocation() 
    {
        return investmentAllcocation;
    }
    public void setReferral(String referral) 
    {
        this.referral = referral;
    }

    public String getReferral() 
    {
        return referral;
    }
    public void setReferralPhone(String referralPhone) 
    {
        this.referralPhone = referralPhone;
    }

    public String getReferralPhone() 
    {
        return referralPhone;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("bmProjectId", getBmProjectId())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("isDel", getIsDel())
            .append("phone", getPhone())
            .append("sysDeptId", getSysDeptId())
            .append("investmentAllcocation", getInvestmentAllcocation())
            .append("referral", getReferral())
            .append("referralPhone", getReferralPhone())
            .toString();
    }
}
